VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV:
[legend]

## Public Member Functions

| WriteDescriptorSetAccelerationStructureNV (uint32_t accelerationStructureCount_=0, const AccelerationStructureNV *pAccelerationStructures_=nullptr)
| WriteDescriptorSetAccelerationStructureNV (VkWriteDescriptorSetAccelerationStructureNV const &rhs)
WriteDescriptorSetAccelerationStructureNV & | operator= (VkWriteDescriptorSetAccelerationStructureNV const &rhs)
WriteDescriptorSetAccelerationStructureNV & | setPNext (const void *pNext_)
WriteDescriptorSetAccelerationStructureNV & | setAccelerationStructureCount (uint32_t accelerationStructureCount_)
WriteDescriptorSetAccelerationStructureNV & | setPAccelerationStructures (const AccelerationStructureNV *pAccelerationStructures_)
| operator VkWriteDescriptorSetAccelerationStructureNV const & () const
| operator VkWriteDescriptorSetAccelerationStructureNV & ()
bool | operator== (WriteDescriptorSetAccelerationStructureNV const &rhs) const
bool | operator!= (WriteDescriptorSetAccelerationStructureNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
uint32_t | accelerationStructureCount
const AccelerationStructureNV * | pAccelerationStructures

## Private Attributes

StructureType | sType = StructureType::eWriteDescriptorSetAccelerationStructureNV

## Detailed Description

Definition at line 20643 of file vulkan.hpp.

## Constructor & Destructor Documentation

## WriteDescriptorSetAccelerationStructureNV() [1/2]

VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::WriteDescriptorSetAccelerationStructureNV | ( | uint32_t | accelerationStructureCount_ = `0`,
|  | const AccelerationStructureNV * | pAccelerationStructures_ = `nullptr`
| ) |  |

inline

Definition at line 20645 of file vulkan.hpp.

: accelerationStructureCount( accelerationStructureCount_ )
, pAccelerationStructures( pAccelerationStructures_ )
{
}

## WriteDescriptorSetAccelerationStructureNV() [2/2]

VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::WriteDescriptorSetAccelerationStructureNV | ( | VkWriteDescriptorSetAccelerationStructureNV const & | rhs | ) |

inline

Definition at line 20652 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( WriteDescriptorSetAccelerationStructureNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkWriteDescriptorSetAccelerationStructureNV &()

VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::operator VkWriteDescriptorSetAccelerationStructureNV & | ( |  | ) |

inline

Definition at line 20685 of file vulkan.hpp.

{
return *reinterpret_cast<VkWriteDescriptorSetAccelerationStructureNV*>(this);
}

## operator VkWriteDescriptorSetAccelerationStructureNV const &()

VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::operator VkWriteDescriptorSetAccelerationStructureNV const & | ( |  | ) | const

inline

Definition at line 20680 of file vulkan.hpp.

{
return *reinterpret_cast<const VkWriteDescriptorSetAccelerationStructureNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::operator!= | ( | WriteDescriptorSetAccelerationStructureNV const & | rhs | ) | const

inline

Definition at line 20698 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

WriteDescriptorSetAccelerationStructureNV& VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::operator= | ( | VkWriteDescriptorSetAccelerationStructureNV const & | rhs | ) |

inline

Definition at line 20657 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( WriteDescriptorSetAccelerationStructureNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::operator== | ( | WriteDescriptorSetAccelerationStructureNV const & | rhs | ) | const

inline

Definition at line 20690 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( accelerationStructureCount == rhs.accelerationStructureCount )
&& ( pAccelerationStructures == rhs.pAccelerationStructures );
}

References accelerationStructureCount, pAccelerationStructures, pNext, and sType.

Referenced by operator!=().

## setAccelerationStructureCount()

WriteDescriptorSetAccelerationStructureNV& VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::setAccelerationStructureCount | ( | uint32_t | accelerationStructureCount_ | ) |

inline

Definition at line 20668 of file vulkan.hpp.

{
accelerationStructureCount = accelerationStructureCount_;
return *this;
}

References accelerationStructureCount.

## setPAccelerationStructures()

WriteDescriptorSetAccelerationStructureNV& VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::setPAccelerationStructures | ( | const AccelerationStructureNV * | pAccelerationStructures_ | ) |

inline

Definition at line 20674 of file vulkan.hpp.

{
pAccelerationStructures = pAccelerationStructures_;
return *this;
}

References pAccelerationStructures.

## setPNext()

WriteDescriptorSetAccelerationStructureNV& VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 20662 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## accelerationStructureCount

uint32_t VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::accelerationStructureCount

Definition at line 20708 of file vulkan.hpp.

Referenced by operator==(), and setAccelerationStructureCount().

## pAccelerationStructures

const AccelerationStructureNV* VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::pAccelerationStructures

Definition at line 20709 of file vulkan.hpp.

Referenced by operator==(), and setPAccelerationStructures().

## pNext

const void* VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::pNext = nullptr

Definition at line 20707 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::sType = StructureType::eWriteDescriptorSetAccelerationStructureNV

private

Definition at line 20704 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::sType
StructureType sType
Definition: vulkan.hpp:20704
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::accelerationStructureCount
uint32_t accelerationStructureCount
Definition: vulkan.hpp:20708
VkWriteDescriptorSetAccelerationStructureNV
Definition: vulkan_core.h:8287
VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::WriteDescriptorSetAccelerationStructureNV
WriteDescriptorSetAccelerationStructureNV(uint32_t accelerationStructureCount_=0, const AccelerationStructureNV *pAccelerationStructures_=nullptr)
Definition: vulkan.hpp:20645
VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::pNext
const void * pNext
Definition: vulkan.hpp:20707
VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::pAccelerationStructures
const AccelerationStructureNV * pAccelerationStructures
Definition: vulkan.hpp:20709
VULKAN_HPP_NAMESPACE::WriteDescriptorSetAccelerationStructureNV::operator==
bool operator==(WriteDescriptorSetAccelerationStructureNV const &rhs) const
Definition: vulkan.hpp:20690